using System;
using System.Linq;

using Microsoft.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainPage()

        /// <summary>
        /// 
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            this.navigationView.SelectionChanged += navigationView_SelectionChanged;

            this.navigationView.SelectedItem = this.navigationView.MenuItems.OfType<NavigationViewItem>().First();

            this.navigationView.UpdateLayout();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region ׺̼    óϱ - navigationView_SelectionChanged(sender, e)

        /// <summary>
        /// ׺̼    óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void navigationView_SelectionChanged(NavigationView sender, NavigationViewSelectionChangedEventArgs e)
        {
            if(e.IsSettingsSelected)
            {
                this.contentFrame.Navigate(typeof(SampleSettingPage));
            }
            else
            {
                NavigationViewItem selectedItem = e.SelectedItem as NavigationViewItem;

                string selectedItemTag = selectedItem.Tag as string;

                sender.Header = "Sample Page " + selectedItemTag.Substring(selectedItemTag.Length - 1);

                string pageName = "TestProject." + selectedItemTag;

                Type pageType = Type.GetType(pageName);

                this.contentFrame.Navigate(pageType, null, e.RecommendedNavigationTransitionInfo);
            }
        }

        #endregion
    }
}